Bug 50896 - unable to declare local printer
unable to declare local printer
Product: Red Hat Public Beta
Classification: Retired
Component: printconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2001-08-04 12:04 EDT by LENHOF
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-06 18:43:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description LENHOF 2001-08-04 12:04:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
A popup always appears saying choose a printer model...but the list is empty

How reproducible:

Steps to Reproduce:
1.Try to declare a local printer

Additional info:

Go back to the version included in RH 7.1 is ok
Comment 1 cbagwell 2001-08-04 14:07:18 EDT
Perhaps this is related.  When I attempt to create a new local printer, I get
the following dumped to the terminal screen:

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/printconf/util/printconf_gui.py", line 471, in
    printer = dev["printer"]
KeyError: printer

This occurs while I'm using the GUI after selecting Local Printer and adding
Queue name, hitting Next, selecting /dev/usb/lp0 as the device to use, and
hitting Next.  A strange sideeffect from this bug is that it then takes me to
the "Unix Printer" screen and asks for server name and Queue.

Also, before upgrading to roswell, I had a USB local printer defined that worked
fine.  I can no longer use it.  I get the following from lpq:

Printer: epson@brew4me
 Queue: no printable jobs in queue
 Status: epson: Open_dgbm: open of DB file 'db.epson' failed, File write error
at 23:26:22.967

The file db.epson does exist.  Trying to use printconf to edit the screen fails
because it also gets confused by the device name to use.
Comment 2 Crutcher Dunnavant 2001-08-04 18:31:16 EDT
The first problem is fixed already. The second problem sounds unpleasant. Try

 /usr/sbin/printconf-backend --force-rebuild

and then restart lpd. That might fix it.
Comment 3 Crutcher Dunnavant 2001-08-04 18:32:15 EDT
wait, delete the printer's spool directory, THEN run rebuild to, then restart.
Comment 4 cbagwell 2001-08-05 14:13:47 EDT
I was able to work around the problem but I don't really understand why the
problem occured.  I reviewed my /tmp/upgrade.log to see if I saw anthing. I
found the following:

Upgrading printconf.
/etc/alchemist/namespace/printconf/local.adl created as

I hadn't manually modified that file so I assume running printconf did somehow. 
Anyways, the new version was quite a bit simpiler then the old version.  I
replace the old version with the new version and was able to run printconf-gui
and create new local printers.

For some reason, my old printers were not displayed any more but I was able to
recreate them.

"lpq" started working for these newly created printers.
Comment 5 Glen Foster 2001-08-06 18:43:15 EDT
We (Red Hat) should try to fix this for the next release.
Comment 6 Crutcher Dunnavant 2001-08-07 04:30:25 EDT
this is fixed. was just hopping this guy'd get up and going again.

Note You need to log in before you can comment on or make changes to this bug.